Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		python-gpgme
Version:	0.1
Release:	1
Summary:	Python module for working with OpenPGP messages
Group:		Development/Languages
License:	LGPLv2+
URL:		http://cheeseshop.python.org/pypi/pygpgme/0.1

Source0:	http://cheeseshop.python.org/packages/source/p/pygpgme/pygpgme-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

BuildRequires:	python-devel
BuildRequires:	gpgme-devel

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
PyGPGME is a Python module that lets you sign, verify, encrypt and decrypt
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and
the GPGME library.

%prep
%setup -q -n pygpgme-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# No need to ship the tests
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/gpgme/tests/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README PKG-INFO
%{python_sitearch}

%changelog
* Sat Sep 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.1-1
- Initial release